sidorenkov

Untitled

Oct 27th, 2020
74
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. ServerRunTests: WARNING: You are using pip version 20.1.1; however, version 20.2.4 is available. You should consider upgrading via the '/usr/local/bin/python -m pip install --upgrade pip' command. ============================= test session starts ============================== platform linux -- Python 3.7.4, pytest-5.4.1, py-1.8.1, pluggy-0.13.1 -- /usr/local/bin/python django: settings: api_yamdb.settings (from env) rootdir: /app, inifile: pytest.ini, testpaths: tests/ plugins: django-3.9.0 collecting ... collected 31 items
  2. tests/test_01_users.py::Test01UserAPI::test_01_users_not_auth ERROR [ 3%] tests/test_01_users.py::Test01UserAPI::test_02_users_username_not_auth ERROR [ 6%] tests/test_01_users.py::Test01UserAPI::test_03_users_me_not_auth ERROR [ 9%] tests/test_01_users.py::Test01UserAPI::test_04_users_get_auth ERROR [ 12%] tests/test_01_users.py::Test01UserAPI::test_05_users_post_auth ERROR [ 16%] tests/test_01_users.py::Test01UserAPI::test_06_users_username_get_auth ERROR [ 19%] tests/test_01_users.py::Test01UserAPI::test_07_users_username_patch_auth ERROR [ 22%] tests/test_01_users.py::Test01UserAPI::test_08_users_username_delete_auth ERROR [ 25%] tests/test_01_users.py::Test01UserAPI::test_09_users_check_permissions ERROR [ 29%] tests/test_01_users.py::Test01UserAPI::test_10_users_me_get ERROR [ 32%] tests/test_01_users.py::Test01UserAPI::test_11_users_me_patch ERROR [ 35%] tests/test_02_category.py::Test02CategoryAPI::test_01_category_not_auth ERROR [ 38%] tests/test_02_category.py::Test02CategoryAPI::test_02_category ERROR [ 41%] tests/test_02_category.py::Test02CategoryAPI::test_03_category_delete ERROR [ 45%] tests/test_02_category.py::Test02CategoryAPI::test_04_category_check_permission ERROR [ 48%] tests/test_03_genre.py::Test03GenreAPI::test_01_genre_not_auth ERROR [ 51%] tests/test_03_genre.py::Test03GenreAPI::test_02_genre ERROR [ 54%] tests/test_03_genre.py::Test03GenreAPI::test_03_genres_delete ERROR [ 58%] tests/test_03_genre.py::Test03GenreAPI::test_04_genres_check_permission ERROR [ 61%] tests/test_04_title.py::Test04TitleAPI::test_01_title_not_auth ERROR [ 64%] tests/test_04_title.py::Test04TitleAPI::test_02_title ERROR [ 67%] tests/test_04_title.py::Test04TitleAPI::test_03_titles_detail ERROR [ 70%] tests/test_04_title.py::Test04TitleAPI::test_04_titles_check_permission ERROR [ 74%] tests/test_05_review.py::Test05ReviewAPI::test_01_review_not_auth ERROR [ 77%] tests/test_05_review.py::Test05ReviewAPI::test_02_review ERROR [ 80%] tests/test_05_review.py::Test05ReviewAPI::test_03_review_detail ERROR [ 83%] tests/test_05_review.py::Test05ReviewAPI::test_04_reviews_check_permission ERROR [ 87%] tests/test_06_comment.py::Test06CommentAPI::test_01_comment_not_auth ERROR [ 90%] tests/test_06_comment.py::Test06CommentAPI::test_02_comment ERROR [ 93%] tests/test_06_comment.py::Test06CommentAPI::test_03_review_detail ERROR [ 96%] tests/test_06_comment.py::Test06CommentAPI::test_04_comment_check_permission ERROR [100%]
  3. ==================================== ERRORS ==================================== __ ERROR at setup of Test01UserAPI.test_01_users_not_auth __ E IndexError: list index out of range
  4. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users ---------------------------- Captured stderr setup ----------------------------- Creating test database for alias 'default' ('file:memorydbdefault?mode=memory&cache=shared')... __ ERROR at setup of Test01UserAPI.test_02_users_username_not_auth __ E IndexError: list index out of range
  5. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test01UserAPI.test_03_users_me_notauth __ E IndexError: list index out of range
  6. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test01UserAPI.test_04_users_get_auth __ E IndexError: list index out of range
  7. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users ___ ERROR at setup of Test01UserAPI.test_05_users_post_auth __ E IndexError: list index out of range
  8. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users ___ ERROR at setup of Test01UserAPI.test_06_users_username_get_auth __ E IndexError: list index out of range
  9. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test01UserAPI.test_07_users_username_patchauth __ E IndexError: list index out of range
  10. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test01UserAPI.test_08_users_username_delete_auth __ E IndexError: list index out of range
  11. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users ___ ERROR at setup of Test01UserAPI.test_09_users_check_permissions __ E IndexError: list index out of range
  12. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users _ ERROR at setup of Test01UserAPI.test_10_users_meget __ E IndexError: list index out of range
  13. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test01UserAPI.test_11_users_me_patch __ E IndexError: list index out of range
  14. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test02CategoryAPI.test_01_category_notauth __ E IndexError: list index out of range
  15. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users _ ERROR at setup of Test02CategoryAPI.test_02category __ E IndexError: list index out of range
  16. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users _ ERROR at setup of Test02CategoryAPI.test_03_category_delete __ E IndexError: list index out of range
  17. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users ERROR at setup of Test02CategoryAPI.test_04_category_checkpermission E IndexError: list index out of range
  18. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users ___ ERROR at setup of Test03GenreAPI.test_01_genre_not_auth __ E IndexError: list index out of range
  19. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test03GenreAPI.test_02_genre __ E IndexError: list index out of range
  20. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test03GenreAPI.test_03_genres_delete __ E IndexError: list index out of range
  21. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users ___ ERROR at setup of Test03GenreAPI.test_04_genres_checkpermission __ E IndexError: list index out of range
  22. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users ___ ERROR at setup of Test04TitleAPI.test_01_title_not_auth __ E IndexError: list index out of range
  23. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test04TitleAPI.test_02_title __ E IndexError: list index out of range
  24. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test04TitleAPI.test_03_titles_detail __ E IndexError: list index out of range
  25. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users ___ ERROR at setup of Test04TitleAPI.test_04_titles_checkpermission __ E IndexError: list index out of range
  26. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test05ReviewAPI.test_01_review_notauth __ E IndexError: list index out of range
  27. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users ___ ERROR at setup of Test05ReviewAPI.test_02review __ E IndexError: list index out of range
  28. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users ___ ERROR at setup of Test05ReviewAPI.test_03_review_detail __ E IndexError: list index out of range
  29. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test05ReviewAPI.test_04_reviews_check_permission __ E IndexError: list index out of range
  30. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users _ ERROR at setup of Test06CommentAPI.test_01_comment_not_auth __ E IndexError: list index out of range
  31. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users __ ERROR at setup of Test06CommentAPI.test_02_comment __ E IndexError: list index out of range
  32. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users ___ ERROR at setup of Test06CommentAPI.test_03_reviewdetail __ E IndexError: list index out of range
  33. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users _ ERROR at setup of Test06CommentAPI.test_04_comment_check_permission __ E IndexError: list index out of range
  34. During handling of the above exception, another exception occurred: E ValueError: Dependency on app with no migrations: users =============================== warnings summary =============================== /usr/local/lib/python3.7/site-packages/rest_framework_simplejwt/exceptions.py:38 /usr/local/lib/python3.7/site-packages/rest_framework_simplejwt/exceptions.py:38: RemovedInDjango40Warning: django.utils.translation.ugettext_lazy() is deprecated in favor of django.utils.translation.gettext_lazy(). defaultdetail = ('Token is invalid or expired')
  35. -- Docs: https://docs.pytest.org/en/latest/warnings.html =========================== short test summary info ============================ ERROR tests/test_01_users.py::Test01UserAPI::test_01_users_not_auth - ValueEr... ERROR tests/test_01_users.py::Test01UserAPI::test_02_users_username_not_auth ERROR tests/test_01_users.py::Test01UserAPI::test_03_users_me_not_auth - Valu... ERROR tests/test_01_users.py::Test01UserAPI::test_04_users_get_auth - ValueEr... ERROR tests/test_01_users.py::Test01UserAPI::test_05_users_post_auth - ValueE... ERROR tests/test_01_users.py::Test01UserAPI::test_06_users_username_get_auth ERROR tests/test_01_users.py::Test01UserAPI::test_07_users_username_patch_auth ERROR tests/test_01_users.py::Test01UserAPI::test_08_users_username_delete_auth ERROR tests/test_01_users.py::Test01UserAPI::test_09_users_check_permissions ERROR tests/test_01_users.py::Test01UserAPI::test_10_users_me_get - ValueErro... ERROR tests/test_01_users.py::Test01UserAPI::test_11_users_me_patch - ValueEr... ERROR tests/test_02_category.py::Test02CategoryAPI::test_01_category_not_auth ERROR tests/test_02_category.py::Test02CategoryAPI::test_02_category - ValueE... ERROR tests/test_02_category.py::Test02CategoryAPI::test_03_category_delete ERROR tests/test_02_category.py::Test02CategoryAPI::test_04_category_check_permission ERROR tests/test_03_genre.py::Test03GenreAPI::test_01_genre_not_auth - ValueE... ERROR tests/test_03_genre.py::Test03GenreAPI::test_02_genre - ValueError: Dep... ERROR tests/test_03_genre.py::Test03GenreAPI::test_03_genres_delete - ValueEr... ERROR tests/test_03_genre.py::Test03GenreAPI::test_04_genres_check_permission ERROR tests/test_04_title.py::Test04TitleAPI::test_01_title_not_auth - ValueE... ERROR tests/test_04_title.py::Test04TitleAPI::test_02_title - ValueError: Dep... ERROR tests/test_04_title.py::Test04TitleAPI::test_03_titles_detail - ValueEr... ERROR tests/test_04_title.py::Test04TitleAPI::test_04_titles_check_permission ERROR tests/test_05_review.py::Test05ReviewAPI::test_01_review_not_auth - Val... ERROR tests/test_05_review.py::Test05ReviewAPI::test_02_review - ValueError: ... ERROR tests/test_05_review.py::Test05ReviewAPI::test_03_review_detail - Value... ERROR tests/test_05_review.py::Test05ReviewAPI::test_04_reviews_check_permission ERROR tests/test_06_comment.py::Test06CommentAPI::test_01_comment_not_auth - ... ERROR tests/test_06_comment.py::Test06CommentAPI::test_02_comment - ValueErro... ERROR tests/test_06_comment.py::Test06CommentAPI::test_03_review_detail - Val... ERROR tests/test_06_comment.py::Test06CommentAPI::test_04_comment_check_permission ======================== 1 warning, 31 errors in 4.37s =========================
RAW Paste Data